#define LINED_H

#ifndef P_STD_H
#include <p_std.h>
#endif

typedef struct
    {
    WORD maxchars;
    WORD winid;
    WORD xoff;
    WORD yoff;
    WORD width;
    WORD height;
    WORD asc;
    WORD font;
    WORD style;
    WORD autoselect;
    } IN_LINED;

typedef struct
    {
    WORD blen;
    TEXT *pb;
    WORD select;
    WORD emph;
    WORD cur;
    WORD marg;
    WORD cwidth;
    WORD visible;
    WORD gc;
    WORD scrollx;
    WORD lmarg;
    IN_LINED i;
    } LINED;

GLREF_C LINED *le_init(IN_LINED *pin);
GLREF_C VOID le_set_text(LINED *ed,INT blen,TEXT *pb);
GLREF_C VOID le_emphasise(LINED *ed,INT emph);
GLREF_C VOID le_set_cwidth(LINED *ed,INT cwidth);
GLREF_C VOID le_visible(LINED *ed,INT visible);
GLREF_C INT le_key(LINED *ed,INT keycode,INT modifier);
GLREF_C VOID le_destroy(LINED *ed);
